import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib
import seaborn as sb

fin_nm = input('File Name = ') 
d_frm = pd.read_csv(fin_nm, encoding='shift-jis')
print(d_frm.keys().values)
itm_name = input('項目名 = ')
itm_values = d_frm[itm_name].values

plt.title(f'箱図（{itm_name}）', fontsize=20)
sb.boxplot(itm_values, orient = 'h')
plt.xticks(fontsize=14)
plt.show()
