import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib        #   日本語表示用

fin_nm = input('Fale Name(*.csv) = ')
d_f = pd.read_csv(fin_nm, encoding='shift-jis')
print(d_f.keys().values)
var_nm = input('項目名 = ')
data = d_f[var_nm].values
data = data[np.isnan(data)==False]

plt.hist(data,
         edgecolor='k',            #     エッジの色
         alpha=0.5)                #     色のα値（透明度）
plt.xlabel(var_nm, fontsize=16)
plt.ylabel('度数', fontsize=16)
plt.title('ヒストグラム', fontsize=18)
plt.savefig('Hist.png')             #     画像の保存
plt.show()
