import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

fin_nm = input('File Name = ')
dframe = pd.read_csv(fin_nm, encoding='shift-jis')
print(dframe.keys().values)
x_name = input('横軸 = ')
X = dframe[x_name].values
N = int(input('項目数 = '))
Y_values = []
Y_names = []
for i in range(N):
    v = input(f'項目{i+1} = ')
    Y_names.append(v)
    Y_values.append(dframe[v].values)

grf_title = input('タイトル = ')
y_label = input('縦軸のラベル = ')

plt.title(grf_title, fontsize=16)
for i in range(N):
    plt.plot(X, Y_values[i], label=Y_names[i])
plt.xlabel(dframe.keys().values[0], fontsize=16)
plt.ylabel(y_label, fontsize=14)
plt.legend()
plt.tight_layout()
plt.show()


