import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib
import seaborn as sb
import pandas as pd

fin_nm = input('File Name = ') 
d_frm = pd.read_csv(fin_nm, encoding='shift-jis')
print(d_frm.keys().values)
N = int(input('項目数 = '))
dct = dict()
for i in range(N):
    itm = input(f'項目{i+1} = ')
    v = d_frm[itm].values
    v = v[np.isnan(v)==False]
    dct[itm] = v

g_title = input('タイトル = ')
plt.title(g_title, fontsize=20)
sb.violinplot(data=dct, orient = 'h', alpha=0.3)
sb.stripplot(data=dct, orient = 'h',
             color='none', edgecolor='r', linewidth=2)
sb.boxplot(data=dct, orient = 'h',
           showfliers=False, fill=False, color='g', linewidth=2)
plt.yticks(fontsize=20)
plt.tight_layout()
plt.show()
