import pandas as pd
import matplotlib.pyplot as plt
import numpy as np
import japanize_matplotlib

fin_nm = input('File Name(*.csv) = ')  
data_frm = pd.read_csv(fin_nm, encoding='shift-jis')
L_cat = data_frm.keys().values[1:]
L_values = data_frm.values[0][1:]

plt.title(data_frm.keys().values[0], fontsize=20)
plt.bar(L_cat, L_values) 
plt.xticks(fontsize=18)
plt.yticks(fontsize=14)
plt.ylabel(data_frm.values[0][0], fontsize=20)
plt.tight_layout()            #      グラフの表示項目が重ならないように調整
plt.show()
