import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib
import seaborn as sb

fin_nm = input('File Name = ') 
d_frm = pd.read_csv(fin_nm, encoding='shift-jis')
print(d_frm.keys().values)
N = int(input('項目数 = '))
dct = dict()
for i in range(N):
    itm = input(f'項目{i+1} = ')
    v = d_frm[itm].values
    v = v[np.isnan(v)==False]
    dct[itm] = v

sb.boxplot(dct)
plt.xticks(fontsize=16)
plt.show()
