import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

fin_nm = input('File Name(*.csv) = ')
dframe = pd.read_csv(fin_nm, encoding='shift-jis')
n_var = int(input('読み込み項目数 = '))
List_var = []
data_vars = []
print(dframe.keys().values)
for i in range(n_var):
    v = input(f'項目{i+1} = ')
    List_var.append(v)
    data = dframe[v].values
    data = data[np.isnan(data)==False]
    data_vars.append(data)

h_title = input('タイトル = ')
x_label = input('横軸の変数名 = ')

plt.hist(data_vars, label=List_var)
plt.title(h_title, fontsize=16)
plt.xlabel(x_label, fontsize= 14)
plt.ylabel('度数', fontsize=14)
plt.legend()
plt.tight_layout()
plt.show()

