import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib

fin_nm = input('File Name = ')
data_frm = pd.read_csv(fin_nm, encoding='shift-jis')
print(data_frm.keys().values)
var_nm = input('項目 = ')
data = data_frm[var_nm].values
x_nm = input('横軸 = ')
X = data_frm[x_nm].values

grf_title = input('タイトル = ')

plt.title(grf_title, fontsize=16)
plt.plot(X, data, 'b-')
plt.xlabel(x_nm, fontsize=14)
plt.ylabel(var_nm, fontsize=14)
plt.tight_layout()
plt.show()
